## edu.stanford.nlp.trees
Class SimpleTreeReaderFactory

    java.lang.Object
      edu.stanford.nlp.trees.SimpleTreeReaderFactory

All Implemented Interfaces:
  TreeReaderFactory

    public class SimpleTreeReaderFactory

extends Object
implements TreeReaderFactory

This class implements a simple default `TreeReaderFactory`.

NB: A SimpleTree stores tree geometries but no node labels. Make sure this is what you really want.

Author:
  Christopher Manning

Constructor Summary
`SimpleTreeReaderFactory()`

Method Summary
`TreeReader` `newTreeReader(Reader in)` Returns a new `TreeReader`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTreeReaderFactory

    public SimpleTreeReaderFactory()

Method Detail

### newTreeReader

    public TreeReader newTreeReader(Reader in)

  Returns a new `TreeReader`. Implements the `TreeReaderFactory` interface. It creates a simple, default `TreeReader` which literally reproduces trees in the treebank. It uses all the defaults of the `TreeReader` class, which means that you get a `SimpleTreeFactory`, no `TreeNormalizer`, and a `PennTreebankTokenizer`.

  Specified by:
    `newTreeReader` in interface `TreeReaderFactory`
  Parameters:
    `in` - The `Reader` to build on
  Returns:
    The new TreeReader

Stanford NLP Group